Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 02/17/2024 in all areas

  1. Draw a line between the two closest points. (defun c:ordpt(/ lista_puntos list_ord) (setq lista_puntos nil list_ord nil) (setq conj_pt (ssget "_X" '((0 . "POINT")))) (setq n 0) (repeat (sslength conj_pt) (setq lista_puntos (cons (cdr (assoc 10 (entget (ssname conj_pt n)))) lista_puntos)) (setq n (1+ n)) ) (while (setq pt_ini (getpoint"\nSelecciona un punto: ")) (setq list_ord (vl-sort lista_puntos '(lambda (el1 el2) (< (distance pt_ini el1)(distance pt_ini el2)))) ) (entmake (list '(0 . "LINE") '(100 . "AcDbEntity") '(100 . "AcDbLine") (cons 10 (car list_ord)) (cons 11 (cadr list_ord)) ) ) ) (princ) )
    1 point
  2. You can solve this graphically without knowing any angle, using align command. The only requirement is that distances A-D and A-E are equal (attached drawing). Determine the point in space where points D and E will meet: Draw a line D-F from point D, perpendicular to line A-B. Draw a line E-G from poine E, perpendicular to line A-C. Lines D-F and E-G intersect at point H Draw a line H-K from point H, then type in: @0,0,30 + Enter. Set UCS to 3 points - H, D and K. Draw a circle - center = point F, radius at point D. Just drawn circle intersects line H-K at point M. Start "align" command and select green figure. First source point = A, first destination point = A Second source point = B, second destination point = B Third source point = D, third destination point = M Align the red figure - A to A - C to C - E to M 3dcorner.dwg
    1 point
×
×
  • Create New...